OI Payments Docs
API ReferenceAdmin Webhooks

Search

GET
/api/v1/admin/webhooks

Query Parameters

page?integer
size?integer
sortBy?string
order?string
paginate?boolean
applicationId?integer
mode?string
type?string
deliveryStatus?string

Response Body

*/*

curl -X GET "https://example.com/api/v1/admin/webhooks"
{
  "data": [
    {
      "id": 0,
      "applicationId": 0,
      "mode": "string",
      "type": "string",
      "schemaVersion": 0,
      "payload": "string",
      "deliveryStatus": "string",
      "attempts": 0,
      "lastResponseStatus": 0,
      "lastError": "string",
      "nextAttemptAt": "2019-08-24T14:15:22Z",
      "lastAttemptAt": "2019-08-24T14:15:22Z",
      "deliveredAt": "2019-08-24T14:15:22Z",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "meta": {
    "success": true,
    "message": "string",
    "errorCode": "RESOURCE_NOT_FOUND",
    "timestamp": "2019-08-24T14:15:22Z"
  },
  "pagination": {
    "page": 0,
    "size": 0,
    "totalElements": 0,
    "totalPages": 0
  }
}